package text

import (
	tgbotapi "github.com/go-telegram-bot-api/telegram-bot-api/v5"
	"strings"
	"time"
	"watn3y/bloaterbotv3/commonlogic"
	"watn3y/bloaterbotv3/config"
	"watn3y/bloaterbotv3/text/balonlyl"
)

func Matcher(update tgbotapi.Update, bot *tgbotapi.BotAPI) {

	if time.Since(config.BotConfig.Shutup[update.Message.Chat.ID]) <= time.Minute*60 {
		return
	}
	//balonlyl
	var isBalonlyl bool = false
	for _, word := range config.BotConfig.Balonlyl.TriggerWords {
		if strings.Contains(strings.ToLower(update.Message.Text), word) && (commonlogic.ContainsInt64(config.BotConfig.Balonlyl.EnabledChats, update.Message.Chat.ID)) {
			isBalonlyl = true
			break
		}
	}
	if isBalonlyl {
		go balonlyl.Balonlyl(update, bot)
	}

}
